robotpkg/graphics/ros-qt-gui-core bulk build results

Log for ros-qt-gui-core-0.4.2 on Fedora-37-x86_64: configure.log (Back)

--- Environment --- QMAKE=/usr/bin/qmake-qt5 EXPECT_TARGETS=package PYTHON311_INCLUDE=/usr/include/python3.11/ _overrides_sysutils_py_rospkg_PKGREQD=py311-rospkg>=1.0.29 py311-rospkg>=1.0.29 py311-rospkg>=1.0.29 _overrides_pkgtools_pkg_install_PKGREQD=pkg_install>=20110805.12 pkg_install>=20110805.12 pkg_install>=20110805.12 PKG_CONFIG_PATH=/opt/openrobots/lib/pkgconfig BULKBASE=/opt/openrobots _overrides_devel_ros_catkin_PKGREQD=py311-ros-catkin>=0.7 py311-ros-catkin>=0.7 py311-ros-catkin>=0.7 _override_vars_devel_ros_class_loader=PKGREQD PKGREQD PKGREQD PYTHON_LIB=/usr/lib64/libpython3.11.so NOSETESTS=/usr/bin/nosetests-3.11 CPP=/usr/bin/gcc -E TAR=/usr/bin/tar _override_vars_sysutils_py_catkin_pkg=PKGREQD PKGREQD PKGREQD LC_MONETARY=C _override_vars_pkgtools_tnftp=PKGREQD PKGREQD OPSYS=Fedora ECHO_N=echo -n PWD=/local/robotpkg/var/lib/robotpkg/graphics/ros-qt-gui-core DIGEST=/opt/openrobots/sbin/robotpkg_digest PYTHON_INCLUDE_CONFIG=/usr/include/python3.11/ LOCALBASE=/opt/openrobots MAKEOVERRIDES=${-*-command-variables-*-} CXX=/usr/bin/g++ PAX=/usr/bin/pax CXXCPP=/usr/bin/g++ -E MACHINE_PLATFORM=Fedora-37-x86_64 CMAKE=/usr/bin/cmake LANG=C OWNER_GID=robots PYTHON311_LIB=/usr/lib64/libpython3.11.so _overrides_devel_ros_class_loader_PKGREQD=ros-class-loader>=0.3 ros-class-loader>=0.3 ros-class-loader>=0.3 BULK_LOGDIR=/local/robotpkg/var/log/bulk MACHINE_KERNEL=Linux-6.5.12-100.fc37.x86_64-x86_64 ROBOTPKG_TRUSTED_ENV=robotpkg ROBOTPKG_BASE=/local/robotpkg _overrides_pkgtools_digest_PKGREQD=digest>=20080510 digest>=20080510 _override_vars_devel_ros_catkin=PKGREQD PKGREQD PKGREQD _ROBOTPKG_NOW=0522193114 PKG_DBDIR=/opt/openrobots/var/db/robotpkg PKG_CONFIG_LIBDIR=/usr/lib64/pkgconfig:/usr/share/pkgconfig RECURSIVE_PKGPATH=graphics/ros-qt-gui-core GXX=/usr/bin/g++ OS_VERSION=37 MFLAGS=--no-print-directory GZIP_CMD=/usr/bin/gzip _overrides_sysutils_py_catkin_pkg_PKGREQD=py311-catkin-pkg>=0.2 py311-catkin-pkg>=0.2 py311-catkin-pkg>=0.2 _override_vars_devel_ros_nodelet_core=PKGREQD PKGREQD PKGREQD tag=Fedora-37-x86_64 ZCAT=/usr/bin/zcat MAKEFLAGS= --no-print-directory -- PKGREQD.cmdline=ros-qt-gui-core-0.4.2~!doc RECURSIVE_PKGPATH=graphics/ros-qt-gui-core\ tag=Fedora-37-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=package _override_vars_pkgtools_pkg_config=PKGREQD PKGREQD PKGREQD PYTHONPATH=/opt/openrobots/lib/python3.11/site-packages SETUPTOOLS_USE_DISTUTILS=stdlib _overrides_graphics_ros_python_qt_binding_PKGREQD=ros-python-qt-binding>=0.2.10 ros-python-qt-binding>=0.2.10 ros-python-qt-binding>=0.2.10 PYTHON311=/usr/bin/python3.11 _override_vars_pkgtools_digest=PKGREQD PKGREQD _overrides_devel_ros_pluginlib_PKGREQD=ros-pluginlib>=1.10 ros-pluginlib>=1.10 ros-pluginlib>=1.10 _override_vars_archivers_pax=PKGREQD PKGREQD LOWER_OS_KERNEL=linux _overrides_graphics_ros_qt_gui_core_PKGREQD=ros-qt-gui-core-0.4.2~!doc LOWER_OS_VERSION=37 PYTHON=/usr/bin/python3.11 _override_vars_devel_ros_pluginlib=PKGREQD PKGREQD PKGREQD PYTHON_INCLUDE=/usr/include/python3.11/ ROBOTPKG_DIR=/local/robotpkg/var/lib/robotpkg SHLVL=4 _overrides_devel_ros_nodelet_core_PKGREQD=ros-nodelet-core>=1.9 ros-nodelet-core>=1.9 ros-nodelet-core>=1.9 GCC=/usr/bin/gcc MAKELEVEL=4 OWNER_UID=rbulk LC_MESSAGES=C rm= PYTHONDONTWRITEBYTECODE=1 MAKECONF=/opt/robotpkg/etc/robotpkg.conf hline="$bf======================================================================$rm" _override_vars_graphics_ros_qt_gui_core=PKGREQD LC_CTYPE=C MACHINE_ARCH=x86_64 OS_KERNEL_VERSION=6.5.12-100.fc37.x86_64 SIP=/usr/bin/sip LC_TIME=C TNFTP=/opt/openrobots/sbin/tnftp FC=false LOWER_OPSYS=fedora _overrides_pkgtools_pkg_config_PKGREQD=pkg-config>=0.22 pkg-config>=0.22 pkg-config>=0.22 _overrides_devel_ros_cmake_modules_PKGREQD=ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 PATCH=/usr/bin/patch LC_COLLATE=C LOWER_ARCH=x86_64 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin _override_vars_devel_ros_cmake_modules=PKGREQD PKGREQD PKGREQD _overrides_archivers_pax_PKGREQD=pax pax NODENAME=hydra64-fedora37 CC=/usr/bin/gcc PKGTOOLS_VERSION=20211115.3 bf= _override_vars_pkgtools_pkg_install=PKGREQD PKGREQD PKGREQD _overrides_pkgtools_tnftp_PKGREQD=tnftp>=20130505~ssl tnftp>=20130505~ssl _override_vars_sysutils_py_rospkg=PKGREQD PKGREQD PKGREQD QT_SELECT=5 OS_KERNEL=Linux LC_NUMERIC=C OLDPWD=/local/robotpkg/var/lib/robotpkg/doc/py-hpp-tutorial _override_vars_graphics_ros_python_qt_binding=PKGREQD PKGREQD PKGREQD PKG_CONFIG=/usr/bin/pkg-config _=/usr/bin/env --- Running set -e; \ if test -n "'Replacing python interpreter path'"; then \ :;test -t 1 || { bf=; rm=; }; echo "=>" 'Replacing python interpreter path'; \ fi; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2; \ files="qt_dotgraph/test/*.py qt_gui/src/qt_gui/main.py qt_gui_app/scripts/qt_gui_app"; \ for file in $files; do \ case $file in *[*]*) continue ;; esac; \ tmpfile="$file".subst.sav; \ if { test -f "$file" && file "$file" | /bin/egrep "(executable .* script|shell script|text|Assembler source|libtool|empty)"; } >/dev/null 2>&1; then \ /bin/mv -f "$file" "$tmpfile" || exit 1; \ /bin/sed -e '1s|^\#!.*python[0-9.]*|\#!/usr/bin/python3.11|' -e 's|@PYTHON@|/usr/bin/python3.11|' <"$tmpfile" >"$file"; \ if test -x "$tmpfile"; then \ /bin/chmod +x "$file"; \ fi; \ if /usr/bin/cmp -s "$tmpfile" "$file"; then \ /bin/mv -f "$tmpfile" "$file"; \ else \ rm -f -f "$tmpfile"; \ echo "$file" >> /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/.subst_py-interp_done; \ fi; \ elif test -f "$file"; then \ test -t 1 || { bf=; rm=; }; echo 1>&2 "WARNING:" "[subst.mk] Ignoring non-text file \"$file\"." 1>&2; \ else \ test -t 1 || { bf=; rm=; }; echo 1>&2 "WARNING:" "[subst.mk] Ignoring non-existent file \"$file\"." 1>&2; \ fi; \ done => Replacing python interpreter path Running set -e;/bin/touch /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/.subst_py-interp_done Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_dotgraph' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . Not searching for unused variables given on the command line. CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- Configuring done (10.0s) -- Generating done (0.0s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_dotgraph Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_gui' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . Not searching for unused variables given on the command line. CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- Configuring done (1.9s) -- Generating done (0.0s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_gui Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_gui_app' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . Not searching for unused variables given on the command line. CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- Configuring done (1.7s) -- Generating done (0.0s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_gui_app Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_gui_core' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . Not searching for unused variables given on the command line. CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:3 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on -- Configuring done (1.2s) -- Generating done (0.0s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_gui_core Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_gui_cpp' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . Not searching for unused variables given on the command line. CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on -- Found Boost: /usr/lib64/cmake/Boost-1.78.0/BoostConfig.cmake (found version "1.78.0") found components: filesystem system -- Found TinyXML: /usr/lib64/libtinyxml.so /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core CMake Warning (dev) at src/qt_gui_cpp/CMakeLists.txt:2 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonLibs: /usr/lib64/libpython3.11.so (found suitable version "3.11.6", minimum required is "3.11") CMake Warning (dev) at /opt/openrobots/share/python_qt_binding/cmake/sip_helper.cmake:9 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): src/qt_gui_cpp_sip/CMakeLists.txt:36 (include) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found suitable version "3.11.6", minimum required is "3.11") CMake Warning (dev) at /opt/openrobots/share/python_qt_binding/cmake/sip_helper.cmake:11 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): src/qt_gui_cpp_sip/CMakeLists.txt:36 (include) This warning is for project developers. Use -Wno-dev to suppress it. -- SIP binding generator available at: /usr/bin/sip -- Python binding generators: sip -- Configuring done (3.8s) -- Generating done (0.9s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_gui_cpp Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2 && cd 'qt_gui_py_common' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPYTHON_PACKAGES_DIR=site-packages -DPYTHON_EXECUTABLE=/usr/bin/python3.11 -DPYTHON_INCLUDE_DIR=/usr/include/python3.11/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.11/ -DPYTHON_LIBRARY=/usr/lib64/libpython3.11.so -DPython_EXECUTABLE=/usr/bin/python3.11 -DPython3_EXECUTABLE=/usr/bin/python3.11 -DPython2_EXECUTABLE=/bin/false -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 -DSETUPTOOLS_ARG_EXTRA="--single-version-externally-managed --root=/" '-DQt5Core_DIR=/usr/lib64/cmake/Qt5Core/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/usr;/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -DNOSETESTS=/usr/bin/nosetests-3.11 -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF -DCATKIN_ENABLE_TESTING=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man . CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Not searching for unused variables given on the command line. Compatibility with CMake < 3.5 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- The C compiler identification is GNU 12.3.1 -- The CXX compiler identification is GNU 12.3.1 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/stage -- Using CMAKE_PREFIX_PATH: /usr;/opt/openrobots -- This workspace overlays: /opt/openrobots CMake Warning (dev) at /opt/openrobots/share/catkin/cmake/python.cmake:4 (find_package): Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules are removed. Run "cmake --help-policy CMP0148" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/all.cmake:164 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found PythonInterp: /usr/bin/python3.11 (found version "3.11.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.11 -- Using default Python package layout -- Found PY_em: /usr/lib/python3.11/site-packages/em.py -- Using empy: /usr/lib/python3.11/site-packages/em.py -- Using CATKIN_ENABLE_TESTING: OFF -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- Configuring done (1.7s) -- Generating done (0.0s) -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/graphics/ros-qt-gui-core/work/qt_gui_core-0.4.2/qt_gui_py_common